Subject: Re: linux-next: build failure after merge of the final tree (akpm and moduleh trees related)

From: Paul Gortmaker <[email-masked]>
Date: Thu, 25 Aug 2011 14:10:08 -0400

On 11-08-25 02:17 AM, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the final tree, today's linux-next build (sparc64 defconfig)
> failed like this:
> 
> kernel/printk.c:536:35: error: expected ')' before string constant
> kernel/printk.c:1116:35: error: expected ')' before string constant
> 
> Caused by commits 8a04dedc045d ("We are enabling some power features on
> medfield.  To test suspend-2-RAM") and d09d67ec904c (same - the following
> commit) from the akpm tree interacting with commit a25ffe9fafa1 ("kernel:
> Map most files to use export.h instead of module.h") from the moduleh
> tree.  This file now needs module.h, not just export.h since
> MODULE_PARM_DESC if defined there.
> 
> I have applied a merge fixup patch to change export.h back to module.h.

Thanks Stephen, I've excluded kernel/printk.c from the conversion to
export.h today.

Paul.

> 
> P.S. Andrew, these commits could do with better subject lines :-(